Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.engine.api
Interface IExtractionOption

All Superinterfaces:
  ITaskOption

All Known Subinterfaces:
  IDataExtractionOption

All Known Implementing Classes:
  DataExtractionOption

    public interface IExtractionOption

extends ITaskOption

Field Summary
`static java.lang.String` | `OPTION_FORMATTER`
`static java.lang.String` | `OUTPUT_FILE_NAME`
`static java.lang.String` | `OUTPUT_FORMAT`
`static java.lang.String` | `OUTPUT_STREAM`

Method Summary
`java.util.Map` | `getFormatter()` Get the format option.
`java.lang.String` | `getOutputFile()` Get output file name.
`java.lang.String` | `getOutputFormat()` Get output format.
`java.io.OutputStream` | `getOutputStream()` Get output stream.
`void` | `setFormatter(java.util.Map formatters)` Set the formatters used to output the value.
`void` | `setOutputFile(java.lang.String filename)` Set output file.
`void` | `setOutputFormat(java.lang.String format)` Set output format.
`void` | `setOutputStream(java.io.OutputStream out)` Set output stream.

Methods inherited from interface org.eclipse.birt.report.engine.api.ITaskOption
`getOption, getOptions, hasOption, setOption`

Field Detail

### OUTPUT_FORMAT

    static final java.lang.String OUTPUT_FORMAT

See Also:
  Constant Field Values

### OUTPUT_FILE_NAME

    static final java.lang.String OUTPUT_FILE_NAME

See Also:
  Constant Field Values

### OUTPUT_STREAM

    static final java.lang.String OUTPUT_STREAM

See Also:
  Constant Field Values

### OPTION_FORMATTER

    static final java.lang.String OPTION_FORMATTER

See Also:
  Constant Field Values

Method Detail

### setOutputFormat

    void setOutputFormat(java.lang.String format)

  Set output format.

  Parameters:
    `format` - output format.

### getOutputFormat

    java.lang.String getOutputFormat()

  Get output format.

### setOutputStream

    void setOutputStream(java.io.OutputStream out)

  Set output stream.

  Parameters:
    `out` - output stream.

### getOutputStream

    java.io.OutputStream getOutputStream()

  Get output stream.

### setOutputFile

    void setOutputFile(java.lang.String filename)

  Set output file.

  Parameters:
    `filename` - name of the output file.

### getOutputFile

    java.lang.String getOutputFile()

  Get output file name.

### setFormatter

    void setFormatter(java.util.Map formatters)

  Set the formatters used to output the value. The format option is a hash map, the key can be the column name or column index (start from 1), the value should be a format pattern. If no format is defined, the value should be outputted as current implementation.

  Parameters:
    `formatters` -

### getFormatter

    java.util.Map getFormatter()

  Get the format option.

  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.